Package com.xebialabs.deployit.plugin.api.reflect

# Class InputHint

java.lang.Object
com.xebialabs.deployit.plugin.api.reflect.InputHint

public class InputHint extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `InputHint.InputHintBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputHint()`
  `InputHint(PropertyKind kind, boolean required, String prompt, List<InputHintValue> values, Set<Validator<?>> validationRules, String copyFromProperty, Type referencedType, String methodRef, boolean dynamicLookup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputHint`
  `copyFrom(InputHint inputHint)`
  `String`
  `getCopyFromProperty()`
  `PropertyKind`
  `getKind()`
  `String`
  `getMethodRef()`
  `String`
  `getPrompt()`
  `Type`
  `getReferencedType()`
  `Set<Validator<?>>`
  `getValidationRules()`
  `List<InputHintValue>`
  `getValues()`
  `boolean`
  `isDynamicLookup()`
  `boolean`
  `isRequired()`
  `static InputHint`
  `newInputHintFrom(InputHint inputHint)`
  `void`
  `setCopyFromProperty(String copyFromProperty)`
  `void`
  `setDynamicLookup(boolean dynamicLookup)`
  `void`
  `setKind(PropertyKind kind)`
  `void`
  `setMethodRef(String methodRef)`
  `void`
  `setPrompt(String prompt)`
  `void`
  `setReferencedType(Type referencedType)`
  `void`
  `setRequired(boolean required)`
  `void`
  `setValues(List<InputHintValue> values)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InputHint

    public InputHint()

  - ### InputHint

    public InputHint(PropertyKind kind, boolean required, String prompt, List<InputHintValue> values, Set<Validator<?>> validationRules, String copyFromProperty, Type referencedType, String methodRef, boolean dynamicLookup)

- ## Method Details

  - ### getKind

    public PropertyKind getKind()

  - ### setKind

    public void setKind(PropertyKind kind)

  - ### getValues

    public List<InputHintValue> getValues()

  - ### setValues

    public void setValues(List<InputHintValue> values)

  - ### getValidationRules

    public Set<Validator<?>> getValidationRules()

  - ### copyFrom

    public InputHint copyFrom(InputHint inputHint)

  - ### newInputHintFrom

    public static InputHint newInputHintFrom(InputHint inputHint)

  - ### getPrompt

    public String getPrompt()

  - ### setPrompt

    public void setPrompt(String prompt)

  - ### isRequired

    public boolean isRequired()

  - ### setRequired

    public void setRequired(boolean required)

  - ### getCopyFromProperty

    public String getCopyFromProperty()

  - ### setCopyFromProperty

    public void setCopyFromProperty(String copyFromProperty)

  - ### getReferencedType

    public Type getReferencedType()

  - ### setReferencedType

    public void setReferencedType(Type referencedType)

  - ### getMethodRef

    public String getMethodRef()

  - ### setMethodRef

    public void setMethodRef(String methodRef)

  - ### isDynamicLookup

    public boolean isDynamicLookup()

  - ### setDynamicLookup

    public void setDynamicLookup(boolean dynamicLookup)